import scrapy
import re

class Loing2Spider(scrapy.Spider):
    name = 'loing2'
    allowed_domains = ['ganji.com']
    start_urls = ['https://passport.ganji.com/login.php']

    def parse(self, response):
        hash_code = re.search(r'"__hash__":"(.+)"',response.text).group(1)
        img_url = 'https://passport.ganji.com/ajax.php?dir=captcha&module=login_captcha'
        yield scrapy.Request(img_url,callback=self.do_formdata, meta={'hash_code':hash_code})

    def do_formdata(self,response):
        hash_code = response.request.meta['hash_code']
        with open('yzm.jpg','wb') as f:
            f.write(response.body)
        code = input("输入验证码:")
        formdata={
            'username':'mingzme',
            'password':"66932697M",
            'setcookie' : '0',
            'checkCode' : code,
            'next' : '',
            'source' : 'passport',
            '__hash__' : hash_code
        }
        login_url = "https://passport.ganji.com/login.php"
        yield scrapy.FormRequest(login_url, formdata=formdata, callback=self.after_login)

    def after_login(self, response):
        print(response.text)